Oracle Linux 5/6:xulrunner(ELSA-2012-0143)

medium Nessus プラグイン ID 68465
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモート Oracle Linux ホストに、1 つ以上のセキュリティ更新がありません。

説明

Red Hat セキュリティアドバイザリ 2012:0143 から:

1 つのセキュリティの問題を修正する更新済みの XULRunner パッケージが、 Red Hat Enterprise Linux 5 と 6 で現在利用可能です。

Red Hat セキュリティレスポンスチームは、この更新によるセキュリティ上の影響が重大だと評価しています。詳細な重要度評価を示す Common Vulnerability Scoring System(CVSS)ベーススコアは「参照」セクションの CVE リンクで入手できます。

XULRunner は、Gecko レイアウトエンジンを使用するアプリケーションに、 XUL Runtime 環境変数を提供します。

XULRunner がポータブル・ネットワーク・グラフィックス(PNG)イメージを処理する方法で、ヒープベースのバッファオーバーフローの欠陥が見つかりました。悪意ある PNG イメージが含まれている Web ぺージにより、 XULRunner とリンクされているアプリケーション(Firefox など)がクラッシュしたり、アプリケーションを実行しているユーザーの権限で任意のコードが実行される可能性があります。(CVE-2011-3026)

XULRunner の全ユーザーは、この問題を修正するこれらの更新済みパッケージにアップグレードする必要があります。更新のインストール後、変更を有効にするために、XULRunner を使用するアプリケーションを再起動する必要があります。

ソリューション

影響を受ける xulrunner パッケージを更新します。

関連情報

https://oss.oracle.com/pipermail/el-errata/2012-February/002617.html

https://oss.oracle.com/pipermail/el-errata/2012-February/002619.html

プラグインの詳細

深刻度: Medium

ID: 68465

ファイル名: oraclelinux_ELSA-2012-0143.nasl

バージョン: 1.9

タイプ: local

エージェント: unix

公開日: 2013/7/12

更新日: 2021/1/14

依存関係: ssh_get_info.nasl

リスク情報

VPR

リスクファクター: Medium

スコア: 5.8

CVSS v2

リスクファクター: Medium

Base Score: 6.8

ベクトル: AV:N/AC:M/Au:N/C:P/I:P/A:P

脆弱性情報

CPE: p-cpe:/a:oracle:linux:xulrunner, p-cpe:/a:oracle:linux:xulrunner-devel, cpe:/o:oracle:linux:5, cpe:/o:oracle:linux:6

必要な KB アイテム: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

パッチ公開日: 2012/2/17

脆弱性公開日: 2012/2/16

参照情報

CVE: CVE-2011-3026

RHSA: 2012:0143